Core upgrade fail NS8

NethServer Version: 8
Module: Core

After a lot of succesfull upgrades, I ran into a problem updating core 2.8.2. to 2.8.5.
After clicking update core the interface presents me the error message: “Something went wrong”, details:

_acontrol_task request attempt failed (Connection closed by server.). Retrying…
_acontrol_task request recovered successfully at attempt 2
<7>run-scriptdir /var/lib/nethserver/cluster/update-core-pre-modules.d/
Running /var/lib/nethserver/cluster/update-core-pre-modules.d/50update_grants…
Traceback (most recent call last):
File “/usr/local/agent/pypkg/cluster/modules.py”, line 175, in _parse_version_object
vinfo = semver.Version.parse(v)
AttributeError: module ‘semver’ has no attribute ‘Version’

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/var/lib/nethserver/cluster/actions/update-core/70update_modules”, line 24, in
for oimage in cluster.modules.list_core_modules(rdb):
File “/usr/local/agent/pypkg/cluster/modules.py”, line 361, in list_core_modules
available = list_available(rdb, skip_core_modules = False)
File “/usr/local/agent/pypkg/cluster/modules.py”, line 258, in list_available
rmod[‘versions’].sort(key=lambda v: _parse_version_object(v[“tag”]), reverse=True)
File “/usr/local/agent/pypkg/cluster/modules.py”, line 258, in
rmod[‘versions’].sort(key=lambda v: _parse_version_object(v[“tag”]), reverse=True)
File “/usr/local/agent/pypkg/cluster/modules.py”, line 177, in _parse_version_object
vinfo = semver.Version(0)
AttributeError: module ‘semver’ has no attribute ‘Version’

Also after retry (restore snapshot), same error and cannot continue, suggestions?
Martin

How many of them? What is your distro version? When did you create the cluster?

runagent python3 --version # output should be 3.11
runagent python3 -msemver --version # output should be 3.0.1

Sorry for my lack of information. :zipper_mouth_face:

Debian 11 (Bullseye)
Cluster is only 1 node, updated to NS8 last year in beta fase en since then following the updates.

runagent python3 --version shows
Python 3.9.2

runagent python3 -msemver --version


File “/usr/local/agent/pyenv/lib/python3.9/site-packages/semver.py”, line 608, in main.VersionInfo.getitem
Failed example:
ver = semver.VersionInfo.parse(“3.4.5”)
Exception raised:
Traceback (most recent call last):
File “/usr/lib/python3.9/doctest.py”, line 1336, in __run
exec(compile(example.source, filename, “single”,
File “<doctest main.VersionInfo.getitem[0]>”, line 1, in
ver = semver.VersionInfo.parse(“3.4.5”)
NameError: name ‘semver’ is not defined

I’m sorry for the inconvenience! As of NS8 Beta 2, Debian 11 is considered obsolete because Python 3.11 is required.

Please follow the Beta 2 release notes to upgrade your base distribution to Debian 12: NS8 Beta 2 Release Notes.

If you haven’t done so already, review the release notes of all past releases and verify if any commands are still necessary.

Alternatively, you can reinstall NS8 from scratch on Debian 12 or any other supported distribution.

1 Like

Thank you so much pointing me in de right direction.
Martin

1 Like